function [c, n, w, k, rk, iv, r, d, tauc, taun, g, y, a, tb] = ss_ramsey_labor_tax(taun_init,GAM1,BETTA,DELTA,ALFA,D,G)
% Labor taxes is the optimal instrument being chosen optimally
% Consumption taxes available, but no lump-sum taxes

taun = taun_init;

a = 1;

d = D;

g = G;

r = 1 / BETTA;

rk = (1 / BETTA) - (1 - DELTA);

w = (1 - ALFA) * ((( (1/ALFA) * rk ) ^ ( 1 / (ALFA-1) ))^ALFA);

tb = (r-1) * d ;

y = (tb + (1 - taun) * w / GAM1) / (1 - (DELTA * ALFA / rk) + ((1 - ALFA) * (1 - taun) / GAM1) - (1 - ALFA) * taun);

k = ALFA * y / rk;

n = (1 - ALFA) * y / w;

c = (1 - taun) * w * (1 - n)/ GAM1 - g + taun * w * n;

tauc = (g - taun* w * n)/c;

iv = DELTA * k;
